Using Broadcom Advanced Control Suite 2: Broadcom 440X Integrated Controller User Guide

Broadcom Advanced Control Suite 2 Overview

Broadcom Advanced Control Suite 2 (BACS2) is an integrated utility that provides useful information about the Broadcom 440X 10/100 Integrated Controller network adapter that is installed in your computer. BACS2 also enables you to perform detailed tests and diagnostics on the adapter, as well as to view and modify property settings and view network traffic statistics.

BACS2 contains three panes:

  • In the Information/Task pane, users can view available information and perform certain tests and diagnostics on the adapter by clicking a specific tab.
NOTE: The Hardware and Cable Analysis tabs and some of the features and properties that are shown on BACS2 illustrations are not available for the Broadcom 440X 10/100 Integrated Controller. The functions, features, and properties that are available are included in this documentation.
  • To the left of the Information/Task pane is the Device Name pane, in which the name of the adapter is listed.
  • A third pane contains the Menu bar.


Types of Information Provided by Broadcom Advanced Control Suite 2

Broadcom Advanced Control Suite 2 provides the following information about the Broadcom 440X 10/100 Integrated Controller network adapter:

  • Driver Status
  • MAC Address
  • Link Status
  • IP Address
  • Memory Address
  • Physical Address
  • Speed
  • Duplex
  • Slot No.
  • Driver Name
  • Driver Version
  • Driver Date
  • Bus Type
  • Bus No.
  • Device No.
  • Function No.
  • Interrupt Request
  • Properties

Vital Sign. At-a-glance information on the adapter.

Resources. Shows the resource settings for the adapter.

Advanced. Shows the available properties and their settings for the adapter.

Statistics. Provides detailed performance statistics for the adapter.


Testing and Diagnostics Functions

The following testing and diagnostics functions are provided for the Broadcom 440X 10/100 Integrated Controller network adapter:

Network Test. Confirms network connectivity to a remote station.

Diagnostics. Performs comprehensive diagnostics on network adapter.


Installing the Broadcom Advanced Control Suite 2 Software

The Broadcom Advanced Control Suite 2 (BACS2) software can be installed from the Dell Resource CD or by using the silent install option.

NOTES:

  • To prevent an error from occurring, type change user /install from the MS-DOS prompt before installing the BACS2 software on a computer running Windows 2000 Advanced Server with Terminal Services.
  • Before you begin the installation, close all applications, windows, or dialog boxes.

Installing from the Dell Resource CD

  1. Insert the Dell Resource CD into the CD-ROM drive.
  2. Open the folder (WinDiag) on the Dell Resource CD that contains the BACS2 Setup.exe file.
  3. Double-click Setup.exe.
  4. Click Next in Broadcom Management Programs Setup.
  5. Read the license agreement, and then click Yes.
  6. In Select Features, click the check box next to the feature(s) you want to install:
Control Suite. Installs Broadcom Advanced Control Suite 2.
CIM Provider. Installs CIM Provider.
  7. Click Next, and then click OK at the end of the installation process.

Using Silent Installation

Before you perform the silent installation, copy the installation files to your hard disk to perform the silent installation from the hard disk, rather than from the CD-ROM drive. Installing from the hard disk is recommended because the setup /s command automatically generates a Setup.log file in the directory from which it is run. If you perform a silent installation from the CD-ROM drive, a log file cannot be generated, which causes the silent installation to fail.

To perform a silent installation

  1. Copy the WinDiag folder on the Dell Resource CD to your hard disk. This folder contains the BACS2 Setup.exe file
  2. Change to the WinDiag directory.
  3. From a command prompt, type setup /s, and then press ENTER.


Removing Broadcom Advanced Control Suite 2

  1. In Control Panel, click Add or Remove Programs.
  2. Click Broadcom Management Programs and click Change/Remove.
  3. In InstallShield Wizard, click Remove, and then click Next.
  4. Click OK to remove the application and all of its features.
  5. Click OK.
  6. Restart your computer.


Starting Broadcom Advanced Control Suite 2

In Control Panel, click (or double-click) Broadcom Control Suite 2.


Using Broadcom Advanced Control Suite 2

Start BACS2. Click the tab that provides the information of interest or from which you can perform a desired test or diagnostic or set adapter properties.


Vital Sign

The Vital Sign tab contains information about the Broadcom 440X 10/100 Integrated Controller, the link status of the adapter, and network connectivity. To view this information, click the name of the device listed in the Device Name pane.

MAC Address. This is a physical MAC (media access control) address that is assigned to the device by the manufacturer. The physical address is never all 0s.
IP Address: The network address that is associated with the device. If the IP address is all 0s, this means that the associated driver has not been bound with Internet Protocol (IP).
Driver Status. The status of the driver that is associated with the selected device.
 | Loaded. Normal operating mode. The driver that is associated with the device has been loaded by Windows and is functioning.
 | Not Loaded. The driver that is associated with the device has not been loaded by Windows.
 | Information Not Available. The value is not obtainable from the driver that is associated with the device.
Driver Name/Version/Date. The file name, version, and creation date of the software driver that is associated with the device.
Network Status: The following network status information is provided:
 | Link Status. The indicator is green if a link is established. A red indicator means that a link is not established.
 | Speed. The link speed of the device.
 | Duplex. The duplex mode in which the device is operating.


Resources

Bus Type. The type of input/output (I/O) interconnect used by the controller.
Slot No. The PCI slot number on the system board occupied by the controller. This item is not available for PCI-E type controllers.
Bus Speed (MHz). The bus clock signal frequency used by the controller. This item is not available for PCI-E type controllers.
Bus Width (bit). The number of bits that the bus can transfer at a single time to and from the controller. This item is not available for PCI-E type controllers.
Bus No. Indicates the number of the bus in which the controller is installed.
Device No. The number assigned to the device by the operating system.
Function No. The port number of the adapter. For a single-port adapter, the function number is 0. For a two-port adapter, the function number for the first port is 0, and the function number for the second port is 1.
Interrupt Request. The interrupt line number that is associated with the device. Valid numbers range from 2 to 25.
Memory Address. The memory mapped address that is assigned to the device. This value can never be 0.


Hardware

The Hardware feature is not supported for the Broadcom 440X 10/100 Integrated Controller.


Advanced

From the Advanced tab, you can view and change the settings of the available properties of the selected device. The potentially available properties and their respective settings are described below. To view the setting of a property, click the name of the property in the Property list. The property setting is displayed in the Value box. To change the setting, click an item in the Value list or type a new value, as appropriate (selection options are different for different properties).

802.1p QOS

Flow Control

Speed & Duplex

Wake Up Capabilities


802.1p QOS

The 802.1p QOS property enables quality of service, which is an Institute of Electrical and Electronics Engineering (IEEE) specification that treats different types of network traffic differently to ensure required levels or reliability and latency according to the type of traffic. This property is disabled by default. Unless the network infrastructure supports QoS, do not enable QoS. Otherwise, problems may occur.


Flow Control

The Flow Control property enables or disables the receipt or transmission of PAUSE frames. PAUSE frames enable the network controller and a switch to control the transmit rate. The side that is receiving the PAUSE frame momentarily stops transmitting.

Enable (default). PAUSE frame receipt and transmission is enabled.

Disable. PAUSE frame receipt and transmission are disabled.


Speed & Duplex

The Speed & Duplex property sets the connection speed and mode to that of the network. Note that Full-Duplex mode allows the controller to transmit and receive network data simultaneously.

10 Mb Full. Sets the speed at 10 Mbit/s and the mode to Full-Duplex.

10 Mb Half. Sets the speed at 10 Mbit/s and the mode to Half-Duplex.

100 Mb Full. Sets the speed at 100 Mbit/s and the mode to Full-Duplex.

100 Mb Half. Sets the speed at 100 Mbit/s and the mode to Half-Duplex.

Auto (default). Sets the speed and mode for optimum network connection (recommended).

NOTES

  • Auto is the recommended setting. This setting allows the network adapter to dynamically detect the line speed of the network. Whenever the network capability changes, the network adapter automatically detects and adjusts to the new line speed and duplex mode.
  • 10 Mb Half and 100 Mb Half settings force the network adapter to connect to the network in Half-Duplex mode. Note that the network adapter may not function if the network is not configured to operate at the same mode.
  • 10 Mb Full and 100 Mb Full settings force the network adapter to connect to the network in Full-Duplex mode. The network adapter may not function if the network is not configured to operate at the same mode.


Wake Up Capabilities

The Wake Up Capabilities property enables the network adapter to wake up from a low-power mode when it receives a network wake-up frame. Two types of wake-up frames are possible: Magic Frame and Wake Up Frame.

Magic Frame. Selects Magic Frame as the wake-up frame.

None. Selects no wake-up frame.

Wake Up Frame (default). Selects Wake Up Frame as the wake-up frame and allows the network adapter to wake the system when an event such as a ping or an Address Resolution Protocol (ARP) request is received.


Network Test

From the Network Test tab, you can verify IP network connectivity. This test verifies if the driver is installed correctly and tests connectivity to a gateway or other specified IP address on the same subnet. The Network test uses TCP/IP. The network test sends ICMP packets to remote systems and waits for a response. If a gateway is configured, the test automatically sends packets to that system. If a gateway is not configured or if the gateway is unreachable, the test prompts you for a destination IP address.


Diagnostics

From the Diagnostics tab you can perform diagnostic tests on the physical components of the Broadcom 440X 10/100 Integrated Controller network adapter. The tests are continuously performed on the selected physical components. The number of passes and fails in the Pass/Fail column increments each time the tests are performed. For example, if a test is performed four times and there are no fails, the value in the Pass/Fail column is 4/0. However, if there were 3 passes and 1 fail, the value in the Pass/Fail column is 3/1.

NOTE: The network connection is temporarily lost when these tests are running.
Control Registers. This test verifies the read and write capabilities of the network adapter registers by writing various values to the registers and verifying the results. The device driver uses these registers to perform network functions such as sending and receiving information. A test failure indicates that the device may not be working properly.
MII Registers. This test verifies the read and write capabilities of the registers of the physical layer (PHY). The physical layer is used to control the electrical signals on the wire and for configuring network speeds such as 1000 Mbit/s.
EEPROM. This test verifies the content of the electrically erasable programmable read-only memory (EEPROM) by reading a portion of the EEPROM and computing the checksum. The test fails if the computed checksum is different from the checksum stored in the EEPROM. An EEPROM image upgrade does not require a code change for this test.
Internal Memory. This test verifies that the internal memory of the device is functioning properly. The test writes patterned values to the memory and reads back the results. The test fails if an erroneous value is read back. The device cannot function if its internal memory is not functioning properly.
On-Chip CPU. This test verifies the operation of the internal CPUs in the device (not supported for the Broadcom 440X 10/100 Integrated Controller network adapter).
Interrupt. This test verifies that the Network Device Driver Interface Specification (NDIS) driver is able to receive interrupts from the device.
Loopback MAC and Loopback PHY. These tests verify that the NDIS driver is able to send packets to and receive packets from the device.
Test LED. This test causes all of the LEDs to blink 5 times for the purpose of identifying the device.


Cable Analysis

The Cable Analysis feature is not supported for the Broadcom 440X 10/100 Integrated Controller.


Statistics

From the Statistics tab, you can view network traffic statistics.

General Statistics

IEEE 802.3 Statistics


General Statistics

Frames Tx OK. A count of the frames that are successfully transmitted. This counter is incremented when the transmit status is reported as Transmit OK.
Frames Rx OK. A count of the frames that are successfully received. This does not include frames received with frame-too-long, frame check sequence (FCS), length, or alignment errors, or frames lost due to internal MAC sublayer errors. This counter is incremented when the receive status is reported as Receive OK.
Directed Frames Tx. A count of directed data frames that are successfully transmitted.
Multicast Frames Tx. A count of frames that are successfully transmitted (as indicated by the status value Transmit OK) to a group destination address other than a broadcast address.
Broadcast Frames Tx. A count of frames that were successfully transmitted (as indicated by the transmit status Transmit OK) to the broadcast address. Frames transmitted to multicast addresses are not broadcast frames and therefore, are excluded.
Directed Frames Rx. A count of directed data frames that are successfully received.
Multicast Frames Rx. A count of frames that are successfully received and are directed to an active nonbroadcast group address. This does not include frames received with frame-too-long, FCS, length, or alignment errors, or frames lost due to internal MAC sublayer errors. This counter is incremented as indicated by the Receive OK status.

Broadcast Frames Rx. A count of frames that are successfully received and are directed to a broadcast group address. This count does not include frames received with frame-too-long, FCS, length, or alignment errors, or frames lost due to internal MAC sublayer errors. This counter is incremented as indicated by the Receive OK status.
Frames Rx with CRC Error. The number of frames received with CRC errors.


IEEE 802.3 Statistics

Frames Rx with Alignment Error. A count of the frames that are not an integral number of octets in length and do not pass the FCS check. This counter is incremented when the receive status is reported as Alignment Error.
Frames Tx with one Collision. A count of the frames that are involved in a single collision and are subsequently transmitted successfully. This counter is incremented when the result of a transmission is reported as Transmit OK, and the attempt value is 2.
Frames Tx with more than one Collision. A count of the frames that are involved in more than one collision and are subsequently transmitted successfully. This counter is incremented when the transmit status is reported as Transmit OK, and the value of the attempts variable is greater than 2 and less than or equal to the attempt limit.
Frames Tx after Deferral. A count of the frames that were delayed being transmitted on the first attempt because the medium was busy. The frames involved in any collision are not counted.


Updating Broadcom Advanced Control Suite 2

NOTE: Before you begin the update, close all applications, windows, or dialog boxes.

Follow the same instructions as for Installing the Broadcom Advanced Control Suite 2 Software.